<form method="post" #teacherLogin="ngForm" (ngSubmit) = "getTeacherData(teacherLogin['value'])">
    <div>
        <mat-form-field appearance="fill" class="form-fileds">
            <mat-label>Teacher's Email</mat-label>
            <input required name="userName" ngModel matInput placeholder="e.g = rahulshivhare">
        </mat-form-field>
    </div>
    <div>
        <mat-form-field appearance="fill">
            <mat-label>Enter your password</mat-label>
            <input required name="password" ngModel matInput [type]="hide ? 'password' : 'text'">
            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                [attr.aria-pressed]="hide">
                <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
        </mat-form-field>
    </div>

    <div>
        <button mat-raised-button color="primary">Submit</button>
    </div>
</form>